Bug 15691 - updatedb segfault
updatedb segfault
Product: Red Hat Linux
Classification: Retired
Component: slocate (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2000-08-07 19:56 EDT by Need Real Name
Modified: 2014-03-16 22:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-08 20:53:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-07 19:56:50 EDT
I installed some RPMs related to "docbook" and then issued the "updatedb"
It immediately reported a segmentation fault.
I then uploaded the latest rpm for "slocate" that I could find and
installed it:  slocate-2.2-1k
The problem still perisists.
A few days ago I installed the latest Helix-code version of Gnome.
So now I cannot "updatedb" and I cannot use "locate" to find newly
installed items.
Gnome provides alternatives so this is not crippling.  I just think it
should work.

I am running Red Hat 6.1 with many things updated.
Comment 1 Bill Nottingham 2000-08-07 22:04:38 EDT
Did you update to the pinstripe glibc? If you didn't,
slocate from pinstripe *will* segfault.
Comment 2 Need Real Name 2000-08-08 20:53:26 EDT
I have not changed "glibc" since I installed Red Hat 6.1.  I suspect that I do
not want to change it now since it may affect many other things in subtle ways. 
The "rpm" that I used to install the latest version of "slocate" did not object.
Comment 3 Bill Nottingham 2000-08-08 21:38:34 EDT
If you actually installed the pinstripe RPM on 6.1, that
is not guaranteed to work.

If you installed something else and can reliably reproduce
this, please re-open. A stack trace would be helpful.

Note You need to log in before you can comment on or make changes to this bug.